Scriptname TStoryGhostEffect extends ObjectReference  

TStoryMain Property TStory Auto
EffectShader Property Ghost1 Auto
EffectShader Property Ghost2 Auto
EffectShader Property Ghost3 Auto
Package Property TravelHomePackage Auto

Event OnLoad()
	Utility.Wait(0.5)
	TStory.TStorySetGhost(Self)
	Int Random = Utility.RandomInt(1, 3)
	If Random == 1
		Ghost1.Play(Self)
	ElseIf Random == 2
		Ghost2.Play(Self)
	ElseIf Random == 3
		Ghost3.Play(Self)
	EndIf
EndEvent

Event OnPackageStart(Package akNewPackage)
	If akNewPackage == TravelHomePackage && ! TStory.SummonActive
		Utility.Wait(8)
		If TStory.Toys.IsBusy()
			TStory.Nightly.SetAlpha(1)
			ActorUtil.AddPackageOverride(TStory.Nightly, TStory.DoNothing, 100, 1)
			TStory.Nightly.EvaluatePackage()
			Utility.Wait(0.5)
			ActorUtil.RemoveAllPackageOverride(TStory.DoNothing)
			TStory.Nightly.EvaluatePackage()
		Else
			TStory.TStoryEquipNightly()
			TStory.TStoryBeam(TStory.Nightly, 2)
			Utility.Wait(0.5)
			TStory.Toys.WuusshEffect(TStory.Nightly)
			Utility.Wait(0.5)
			TStory.Nightly.SetAlpha(0)
			TStory.Nightly.Disable()
		EndIf
	EndIf
	TStory.TStoryPersonFade(Self)
EndEvent
